<div class="controls marginBtm">
  <div class="graphToggle midBlock marginRgt">
    <label class="" >
      <div class="checkbox midBlock">
        <input type="checkbox" checked="true" checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="1" ng-click="fetchZoneWiseDataForZoneGraph()">
        <div class="box"></div>
      </div>
      <div class="txt midBlock" >Lane 1</div>
    </label>
    <label class="" >
      <div class="checkbox midBlock">
        <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="2" ng-click="fetchZoneWiseDataForZoneGraph()">
        <div class="box"></div>
      </div>
      <div class="txt midBlock" >Lane 2</div>
    </label>
    <label class="" >
      <div class="checkbox midBlock">
        <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="3" ng-click="fetchZoneWiseDataForZoneGraph()">
        <div class="box"></div>
      </div>
      <div class="txt midBlock" >Lane 3</div>
    </label>
    <label class="" >
      <div class="checkbox midBlock">
        <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="4" ng-click="fetchZoneWiseDataForZoneGraph()">
        <div class="box"></div>
      </div>
      <div class="txt midBlock" >Lane 4</div>
    </label>
    <label class="" >
      <div class="checkbox midBlock">
        <input type="checkbox" checked checklist-model="graphDataFilters.wholeZoneAnalytics.laneArray" checklist-value="5" ng-click="fetchZoneWiseDataForZoneGraph()">
        <div class="box"></div>
      </div>
      <div class="txt midBlock" >Lane 5</div>
    </label>
  </div>
  <div class="dropDown small marginLeft midBlock round">
    <div data-init="0" class="head lightGreyBack">
      <div class="headTitle">Area Spline</div>
      <img class="sign" alt="down" src="images/downArrow.png">
    </div>
    <ul class="list" style="">
      <li ng-click="chartTypeUpdate('areaspline','.zoneGraph','.areaSpline')">Area Spline</li>
      <li ng-click="chartTypeUpdate('column','.zoneGraph','.areaSpline')">Column</li>
      <li ng-click="chartTypeUpdate('spline','.zoneGraph','.areaSpline')">Spline</li>
      <li ng-click="chartTypeUpdate('area','.zoneGraph','.areaSpline')">Spark Line</li>
    </ul>
  </div>
  <div class="dropDown small midBlock marginLeft round">
    <div data-init="0" class="head lightGreyBack">
      <div class="headTitle">Speed</div>
      <img class="sign" alt="down" src="images/downArrow.png">
    </div>
    <ul class="list" style="">
      <li ng-click="fetchWholeZoneAnalyticsByType('zoneSpeed')"> Speed</li>
      <li ng-click="fetchWholeZoneAnalyticsByType('zoneOccupancy')">Occupancy</li>
    </ul>
  </div>
</div>
<div class="graphBox">
  <spline-graph x="zoneXAxis" y="zoneYAxisColumn" legend="false" xlabel="true" ylabel="true" grid="1" id="zoneGraph"></spline-graph>
  <div class="dataMsg" ng-show="loader.wholeZoneAnalyticsZoneGraph"></div>
</div>
